var
i, n, k, buf, count, j: integer;
possible: boolean;
ab: array[0..1000000000] of boolean;

BEGIN
readln(n, k);
for i:= 1 to k do
begin
read(buf);
ab[buf]:= true;
end;
count:=2*n-1;
for i:= 2*k+1 downto 2 do
 begin
 possible:=false;
 for j:= 1 to trunc(i/2)+1 do
 begin
 if (ab[j]=false) and (ab[i-j] =false) then possible:=true;
 end;
 if (possible = false) then count:=count-1;
 end;
writeln(count);
END.